Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.codehaus.groovy.grails.web.json
Enum JSONWriter.Mode

    java.lang.Object
      java.lang.Enum<JSONWriter.Mode>
          org.codehaus.groovy.grails.web.json.JSONWriter.Mode

All Implemented Interfaces:
  Serializable, Comparable<JSONWriter.Mode>

Enclosing class:
  JSONWriter

    protected static enum JSONWriter.Mode

extends Enum<JSONWriter.Mode>

Enumeration of the possible modes of the JSONWriter

Enum Constant Summary
`ARRAY`
`DONE`
`INIT`
`KEY`
`OBJECT`

Method Summary
`static JSONWriter.Mode` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static JSONWriter.Mode[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### INIT

    public static final JSONWriter.Mode INIT

### OBJECT

    public static final JSONWriter.Mode OBJECT

### ARRAY

    public static final JSONWriter.Mode ARRAY

### KEY

    public static final JSONWriter.Mode KEY

### DONE

    public static final JSONWriter.Mode DONE

Method Detail

### values

    public static JSONWriter.Mode[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (JSONWriter.Mode c : JSONWriter.Mode.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static JSONWriter.Mode valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD